Send email notifications to beneficiaries

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Use this method to send mass email notifications recursively to all associated parties within a company structure.

Notifications can only be sent to applicants who have an email address provided and saved in their profiles. Eligible beneficiaries must be in one of the following applicant statuses: Documents requested, Resubmission requested, or Awaiting user.

📘

Note

The following limits apply to this method:

  • A maximum of 20 email notifications are sent per request.
  • Notifications are sent only to associated parties that have an email address saved in their profile and are in one of the following statuses: Documents requested, Resubmission requested, or Awaiting user. Associated parties that do not meet these conditions are skipped and do not count towards the limit.
👍

Did you know?

You can update the email address in the applicant profile with the following method.

Required permissions

To use this method, your app token must have the Change applicant's personal data permission.

Use case

A common use case for this endpoint is to remind applicants whose progress has stalled and who are delaying overall company verification.

Request example

curl -X POST \
     'https://api.sumsub.com/resources/applicants/673f390478c5cc60a492aa39/verificationStatusEmailToBeneficiaries' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>'

Response explained

If the request is successfully processed, the following response is returned, indicating that the notifications have been sent.

{
  "ok": 1
}

If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error. For example:

{
  "code": 400,
  "correlationId": "54eb6d6ae8a929e208a919638204dc79",
  "description": "Invalid id '123456'"
}
Path Params
string
required

Unique identifier of the company applicant in the Sumsub system. This identifier specifies the company to which the beneficiaries belong.

This value is a random combination of 24 digits and lowercase Latin characters. It is automatically generated when the applicant profile is created on the Sumsub side, and can be found in the Dashboard.

If the applicantId is unknown to you, use the Get applicant data (externalUserId) method to fetch it.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!